
QGIS Application - Bug report #13669

Circular string generates duplicated nodes

2015-10-25 04:10 AM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21703

Description

When digitising polygons using circular string, it creates duplicated node for the last node:

https://www.youtube.com/watch?v=SOM565enTCo&#38;feature=youtu.be

Associated revisions

Revision 86e67713 - 2016-01-28 11:04 AM - Peter Petrik

fix #13669 (Circular string generates duplicated nodes)

Revision 6a91603f - 2016-01-31 01:28 AM - Nyall Dawson

Merge pull request #2730 from PeterPetrik/13669_duplicate_circular_string_nodes

fix #13669 (Circular string generates duplicated nodes)

History

#1 - 2015-11-07 10:16 AM - Giovanni Manghi

it seems to create more than 1 (duplicate nodes).

#2 - 2016-01-28 02:08 AM - Peter Petrik

Only present when digitizing polygons and for providers that do not support curved segments.

fix https://github.com/qgis/QGIS/pull/2730

#3 - 2016-01-30 04:28 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"6a91603fe704c8e210330ec59280f5c293de4ef9".
